%define _hotplugdir	%{_prefix}/lib/hotplug

%define	major		30
%define	libname		%mklibname %{name} %{major}
%define libpacketname	%mklibname %{name}packet %{major}
%define libqtname	%mklibname Qgpsmm %{major}
%define develname	%mklibname %{name} -d
%define staticname	%mklibname %{name} -s -d

Name:		gpsd
Summary:	GPS data translator and GUI
Version:	3.25
Release:	%mkrel 3
License:	BSD
Group:		Sciences/Geosciences
URL:		https://savannah.nongnu.org/projects/gpsd
Source0:	https://download.savannah.gnu.org/releases/gpsd/%{name}-%{version}.tar.gz
Source11:	gpsd.sysconfig
Patch1:		gpsd-apistatus.patch
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	asciidoc
BuildRequires:	xmlto
BuildRequires:	python3
BuildRequires:	python3dist(pycairo)
BuildRequires:	python3dist(pygobject)
BuildRequires:	python3dist(pyserial)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(bluez)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
BuildRequires:	desktop-file-utils
BuildRequires:	scons
BuildRequires:	chrpath
BuildRequires:	pps-tools-devel
Requires:	python3-%{name} = %{version}-%{release}
Requires(post):	rpm-helper >= 0.24.8-1
Requires(preun):rpm-helper >= 0.24.8-1

Provides:	gps3d

%description
gpsd is a service daemon that mediates access to a GPS sensor
connected to the host computer by serial or USB interface, making its
data on the location/course/velocity of the sensor available to be
queried on TCP port 2947 of the host computer.  With gpsd, multiple
GPS client applications (such as navigational and wardriving software)
can share access to a GPS without contention or loss of data.  Also,
gpsd responds to queries with a format that is substantially easier to
parse than NMEA 0183.  A client library is provided for applications.

After installing this RPM, gpsd will automatically connect to USB
GPSes when they are plugged in and requires no configuration.  For
serial GPSes, you will need to start gpsd by hand.  Once connected,
the daemon automatically discovers the correct baudrate, stop bits,
and protocol. The daemon will be quiescent when there are no
clients asking for location information, and copes gracefully when the
GPS is unplugged and replugged.

%package -n	%{libname}
Summary:	Libraries for gpsd
Group:		System/Libraries

%description -n	%{libname}
gpsd is a service daemon that mediates access to a GPS sensor
connected to the host computer by serial or USB interface, making its
data on the location/course/velocity of the sensor available to be
queried on TCP port 2947 of the host computer.  With gpsd, multiple
GPS client applications (such as navigational and wardriving software)
can share access to a GPS without contention or loss of data.  Also,
gpsd responds to queries with a format that is substantially easier to
parse than NMEA 0183.  A client library is provided for applications.

After installing this RPM, gpsd will automatically connect to USB
GPSes when they are plugged in and requires no configuration.  For
serial GPSes, you will need to start gpsd by hand.  Once connected,
the daemon automatically discovers the correct baudrate, stop bits,
and protocol. The daemon will be quiescent when there are no
clients asking for location information, and copes gracefully when the
GPS is unplugged and replugged.

%package -n	%{libpacketname}
Summary:	Libraries for gpsd
Group:		System/Libraries

%description -n	%{libpacketname}
gpsd is a service daemon that mediates access to a GPS sensor
connected to the host computer by serial or USB interface, making its
data on the location/course/velocity of the sensor available to be
queried on TCP port 2947 of the host computer.  With gpsd, multiple
GPS client applications (such as navigational and wardriving software)
can share access to a GPS without contention or loss of data.  Also,
gpsd responds to queries with a format that is substantially easier to
parse than NMEA 0183.  A client library is provided for applications.

After installing this RPM, gpsd will automatically connect to USB
GPSes when they are plugged in and requires no configuration.  For
serial GPSes, you will need to start gpsd by hand.  Once connected,
the daemon automatically discovers the correct baudrate, stop bits,
and protocol. The daemon will be quiescent when there are no
clients asking for location information, and copes gracefully when the
GPS is unplugged and replugged.

%package -n     %{libqtname}
Summary:	Qt bindings for gpsd
Group:		System/Libraries

%description -n %{libqtname}
This package contains Qt bindings for gpsd.

%package -n	%{develname}
Summary:	Client libraries in C and Python for talking to a running gpsd or GPS
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	%{libpacketname} = %{version}
Requires:	%{libqtname} = %{version}

%description -n	%{develname}
This package provides C header files for the gpsd shared libraries
that manage access to a GPS for applications; also Python modules.
You will need to have gpsd installed for it to work.

%package	clients
Summary:	Clients for gpsd with an X interface
Group:		Sciences/Geosciences
Requires:	python3-%{name} >= %{version}-%{release}
Requires:	python3-cairo
Requires:	python3-gobject3

%description	clients
xgps is a simple test client for gpsd with an X interface. It displays
current GPS position/time/velocity information and (for GPSes that
support the feature) the locations of accessible satellites.

xgpsspeed is a speedometer that uses position information from the GPS.
It accepts an -h option and optional argument as for gps, or a -v option
to dump the package version and exit. Additionally, it accepts -rv
(reverse video) and -nc (needle color) options.

%package -n	python3-%{name}
Summary:	Python 3 bindings for gpsd
Group:		Development/Python
Requires:	%{libname} = %{version}
Requires:	python3
Provides:	%{name}-python = %{version}-%{release}
Obsoletes:	gpsd-python < 3.17-1
Provides:	python-gpsd = %{version}-%{release}
Obsoletes:	python-gpsd < 3.17-2

%description -n	python3-%{name}
This package contains the Python 3 bindings for gpsd. It will be needed
for any applications that interface with gpsd via python.

%prep
%autosetup -p1

# don't try reloading systemd when installing in the build root
sed -i 's|systemctl daemon-reload|true|' SConscript

%build
%set_build_flags
%scons \
      prefix=%{_prefix} \
      execprefix=%{_exec_prefix} \
      datadir=%{_datadir} \
      libdir=%{_libdir} \
      docdir=%{_docdir}/gpsd \
      icondir=%{_datadir}/gpsd \
      udevdir=$(dirname %{_udevrulesdir}) \
      unitdir=%{_unitdir} \
      target_python=python3 \
      python_shebang=%{python3} \
      python_libdir=%{python3_sitearch} \
      systemd=yes \
      qt_versioned=5 \
      dbus_export=yes

%install
%set_build_flags
DESTDIR=%{buildroot} STRIP=/bin/true %scons_install systemd_install udev-install

# use the old name for udev rules
mv %{buildroot}%{_udevrulesdir}/{25,99}-gpsd.rules

%{__install} -d -m 0755 %{buildroot}%{_sysconfdir}/sysconfig
%{__install} -p -m 0644 %{SOURCE11} \
	%{buildroot}%{_sysconfdir}/sysconfig/gpsd

# Install the .desktop files
desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	packaging/X11/xgps.desktop
desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	packaging/X11/xgpsspeed.desktop

# fix icons path
sed -i 's|/local||g' %{buildroot}%{_datadir}/applications/xgps*.desktop
sed -i 's|/icons||g' %{buildroot}%{_datadir}/applications/xgps*.desktop

# Missed in scons install
%{__install} -p -m 0755 gpsinit %{buildroot}%{_sbindir}

rm -rf %{buildroot}%{_docdir}/gpsd

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc README* NEWS
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sbindir}/gpsd
%{_sbindir}/gpsdctl
%{_sbindir}/gpsinit
%{_bindir}/gps2udp
%{_bindir}/gpsctl
%{_bindir}/gpsdebuginfo
%{_bindir}/gpsmon
%{_bindir}/gpsprof
%{_bindir}/gpssnmp
%{_bindir}/ntpshmmon
%{_bindir}/ppscheck
%{_datadir}/gpsd/
%{_datadir}/snmp/mibs/gpsd/GPSD-MIB
%{_unitdir}/gpsd.service
%{_unitdir}/gpsd.socket
%{_unitdir}/gpsdctl@.service
%{_udevrulesdir}/*.rules
%{_mandir}/man1/gps2udp.1*
%{_mandir}/man1/gpsctl.1*
%{_mandir}/man1/gpsdebuginfo.1*
%{_mandir}/man1/gpsmon.1*
%{_mandir}/man1/gpsprof.1*
%{_mandir}/man1/gpssnmp.1*
%{_mandir}/man1/ntpshmmon.1*
%{_mandir}/man8/gpsd.8*
%{_mandir}/man8/gpsdctl.8*
%{_mandir}/man8/gpsinit.8*
%{_mandir}/man8/ppscheck.8*

%files -n %{libname}
%{_libdir}/libgps.so.%{major}{,.*}

%files -n %{libpacketname}
%{_libdir}/libgpsdpacket.so.%{major}{,.*}

%files -n %{libqtname}
%{_libdir}/libQgpsmm.so.%{major}{,.*}

%files -n %{develname}
%doc TODO
%{_includedir}/gps.h
%{_includedir}/libgpsmm.h
%{_libdir}/libgps.so
%{_libdir}/libgpsdpacket.so
%{_libdir}/libQgpsmm.so
%{_libdir}/libQgpsmm.prl
%{_libdir}/pkgconfig/*.pc
%{_bindir}/gpsfake
%{_mandir}/man1/gpsfake.1*
%{_mandir}/man3/libgps.3*
%{_mandir}/man3/libQgpsmm.3*
%{_mandir}/man3/libgpsmm.3*
%{_mandir}/man5/gpsd_json.5*

%files clients
%{_bindir}/cgps
%{_bindir}/gegps
%{_bindir}/gpscat
%{_bindir}/gpscsv
%{_bindir}/gpsdecode
%{_bindir}/gpspipe
%{_bindir}/gpsplot
%{_bindir}/gpsrinex
%{_bindir}/gpssubframe
%{_bindir}/gpxlogger
%{_bindir}/lcdgps
%{_bindir}/ubxtool
%{_bindir}/xgps
%{_bindir}/xgpsspeed
%{_bindir}/zerk
%{_mandir}/man1/gegps.1*
%{_mandir}/man1/gps.1*
%{_mandir}/man1/gpsdecode.1*
%{_mandir}/man1/gpspipe.1*
%{_mandir}/man1/gpsplot.1*
%{_mandir}/man1/gpsrinex.1*
%{_mandir}/man1/gpssubframe.1*
%{_mandir}/man1/gpxlogger.1*
%{_mandir}/man1/lcdgps.1*
%{_mandir}/man1/xgps.1*
%{_mandir}/man1/xgpsspeed.1*
%{_mandir}/man1/cgps.1*
%{_mandir}/man1/gpscat.1*
%{_mandir}/man1/gpscsv.1*
%{_mandir}/man1/ubxtool.1*
%{_mandir}/man1/zerk.1*
%{_datadir}/applications/*.desktop
%dir %{_datadir}/gpsd
%{_datadir}/gpsd/gpsd-logo.png

%files -n python3-%{name}
%{python3_sitearch}/*


%changelog
* Tue Mar 04 2025 wally <wally> 3.25-3.mga10
+ Revision: 2160369
- rebuild for python3.13

* Mon Dec 18 2023 papoteur <papoteur> 3.25-2.mga10
+ Revision: 2019137
- Mass Rebuild - Python 3.12

* Sun Feb 12 2023 mrambo3501 <mrambo3501> 3.25-1.mga9
+ Revision: 1941093
- version 3.25
- new major 30
- fix files list

* Fri Dec 23 2022 daviddavid <daviddavid> 3.24-1.mga9
+ Revision: 1926162
- new version: 3.24

* Mon Apr 04 2022 umeabot <umeabot> 3.23.1-3.mga9
+ Revision: 1842987
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 3.23.1-2.mga9
+ Revision: 1782867
- Rebuild for python-3.10

* Sat Oct 30 2021 luigiwalser <luigiwalser> 3.23.1-1.mga9
+ Revision: 1753358
- 3.23.1
- add patch from fedora to add compatibility macros for status

* Sat Aug 07 2021 tmb <tmb> 3.23-1.mga9
+ Revision: 1740077
- add missing gpsinit
- fix icon path in desktop files
- update to 3.23
- libmajor is now 29

* Sat Mar 20 2021 daviddavid <daviddavid> 3.22-2.mga9
+ Revision: 1705554
- rebuild for python 3.9

* Wed Mar 03 2021 daviddavid <daviddavid> 3.22-1.mga9
+ Revision: 1697366
- new version: 3.22
- now libmajor is 28

* Wed Dec 16 2020 umeabot <umeabot> 3.21-2.mga8
+ Revision: 1658504
- Rebuild for new Qt5

* Fri Aug 07 2020 daviddavid <daviddavid> 3.21-1.mga8
+ Revision: 1611772
- new version: 3.21
- now libmajor is 27

* Tue Feb 18 2020 umeabot <umeabot> 3.20-2.mga8
+ Revision: 1541810
- Mageia 8 Mass Rebuild

* Thu Jan 02 2020 daviddavid <daviddavid> 3.20-1.mga8
+ Revision: 1475476
- new version: 3.20
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sat Sep 21 2019 daviddavid <daviddavid> 3.19-2.mga8
+ Revision: 1444275
- rebuild for python3.8

* Wed Jul 03 2019 daviddavid <daviddavid> 3.19-1.mga8
+ Revision: 1417949
- new version: 3.19
- now libmajor is 25

* Mon May 13 2019 daviddavid <daviddavid> 3.18.1-5.mga7
+ Revision: 1397644
- fix paths in systemd unit files
- don't use -n in default gpsd service options

* Wed Apr 10 2019 daviddavid <daviddavid> 3.18.1-4.mga7
+ Revision: 1387920
- fix Qt5 dependencies in Qgpsmm pkgconfig file

* Wed Apr 03 2019 daviddavid <daviddavid> 3.18.1-3.mga7
+ Revision: 1385584
- fix python3 dependencies

* Sat Mar 30 2019 luigiwalser <luigiwalser> 3.18.1-2.mga7
+ Revision: 1382002
- try switching to python3 build
- explicitly target python2.7
+ umeabot <umeabot>
- Qt5 Rebuild

* Sat Oct 20 2018 daviddavid <daviddavid> 3.18.1-1.mga7
+ Revision: 1322932
- new version: 3.18.1

* Sun Oct 07 2018 daviddavid <daviddavid> 3.18-1.mga7
+ Revision: 1318482
- new version: 3.18
- now libmajor is 24
- port to Qt5
- rename python-gpsd to python2-gpsd

* Sun Sep 23 2018 umeabot <umeabot> 3.17-2.mga7
+ Revision: 1298052
- Mageia 7 Mass Rebuild

* Mon Nov 27 2017 kostuek <kostuek> 3.17-1.mga7
+ Revision: 1180096
- fixed python3 print syntax in SConstruct
+ zezinho <zezinho>
- fix build as fedora did
- new version
- rebuild against pps fixing MGA#15790

* Thu Dec 22 2016 daviddavid <daviddavid> 3.16-2.mga6
+ Revision: 1076429
- add some missing dependencies on the clients subpackages (fixes mga#20007)
- rename the gpsd-python subpackage to python-gpsd
- use new python macros

* Mon Jan 25 2016 luigiwalser <luigiwalser> 3.16-1.mga6
+ Revision: 927147
- 3.16

* Thu Dec 24 2015 luigiwalser <luigiwalser> 3.15-1.mga6
+ Revision: 914450
- 3.15
- remove upstreamed patch 1
- library major is now 22
- add ntpshmmon to files list
- libgpsd.so is no more

* Mon Oct 05 2015 blino <blino> 3.11-5.mga6
+ Revision: 886263
- use python2_version macro instead of obsolete py_ver
- do not strip in install to be able to generate debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 3.11-4.mga5
+ Revision: 750295
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.11-3.mga5
+ Revision: 726400
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.11-2.mga5
+ Revision: 679920
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 luigiwalser <luigiwalser> 3.11-1.mga5
+ Revision: 670045
- 3.11
- use upstream service files (with patch from fedora)
- some spec syncing with fedora

* Sat May 31 2014 pterjan <pterjan> 3.10-3.mga5
+ Revision: 628236
- Rebuild for new Python

* Tue May 13 2014 shlomif <shlomif> 3.10-2.mga5
+ Revision: 622455
- Fixes for files directives. Thanks to Roelof (my apprentice).

* Mon May 12 2014 shlomif <shlomif> 3.10-1.mga5
+ Revision: 622263
- New version 3.10 - thanks to roelof (= my apprentice).

* Tue Oct 22 2013 umeabot <umeabot> 3.9-3.mga4
+ Revision: 545270
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 philippem <philippem> 3.9-2.mga4
+ Revision: 501002
- fix egg-info
+ pterjan <pterjan>
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jun 09 2013 fwang <fwang> 3.9-1.mga4
+ Revision: 441099
- update file list
- update libmajor
- new version 3.9
+ luigiwalser <luigiwalser>
- malformed packet crash patch is actually CVE-2013-2038
- other patch just fixes a possible AIS driver overrun

* Fri May 03 2013 luigiwalser <luigiwalser> 3.7-4.mga3
+ Revision: 412148
- add upstream patches to fix potential DoS (CVE-2013-2038) and crash

* Wed Jan 16 2013 fwang <fwang> 3.7-3.mga3
+ Revision: 388510
- correct udev rules dir
- correct udev rules dir

* Sat Jan 12 2013 umeabot <umeabot> 3.7-2.mga3
+ Revision: 352548
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 fwang <fwang> 3.7-1.mga3
+ Revision: 308187
- update file list
- update libdir
- drop ldflags
- more linkage fix
- more linkage fix
- update patch
- update rpath patch
- rediff link patch
- new version 3.7

* Sun Aug 12 2012 blino <blino> 3.3-3.mga3
+ Revision: 280852
- remove old udev-tools buildrequires

* Sat Apr 28 2012 tmb <tmb> 3.3-2.mga2
+ Revision: 233722
- Require rpm-helper >= 0.24.8-1 for systemd support

* Mon Jan 02 2012 fwang <fwang> 3.3-1.mga2
+ Revision: 189639
- add more br
- new version 3.3
- sync with fedora patches

* Wed Jan 19 2011 ahmad <ahmad> 2.95-4.mga1
+ Revision: 24617
- add 3 patches from Fedora
- disable udev patch1
- use %%makeinstall_std pythondir=%%{py_platsitedir} to install python files in
  %%{py_platsitedir}, instead of moving them manually
- install upstream udev rules
- make sure gps.py is executable (Fedora)
- use upstream .desktop files
- install hotplug script(s)
- drop old/uneeded scriptlets
- add %%post and %%preun sections (Fedora)
- update file list
- imported package gpsd


* Tue Nov 02 2010 Michael Scherer <misc@mandriva.org> 2.95-2mdv2011.0
+ Revision: 592389
- rebuild for python 2.7

* Tue Aug 03 2010 Funda Wang <fwang@mandriva.org> 2.95-1mdv2011.0
+ Revision: 565361
- X11-devel is of no use
- fix linkage
- include qt package
- drop unused lines

  + Emmanuel Andry <eandry@mandriva.org>
    - fix files list
    - enable experimental bluetooth support
    - New version 2.95
    - drop p2, fixed differently upstream
    - drop SOURCE2, using upstream sysconfig file
    - update files list

* Fri Jun 18 2010 Anssi Hannula <anssi@mandriva.org> 2.94-3mdv2010.1
+ Revision: 548288
- fix app-defaults location (fixes upgrade)
- install a proper app-defaults file instead of copies of the program
  binaries

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 2.94-2mdv2010.1
+ Revision: 540028
- rebuild so that shared libraries are properly stripped again

* Sun Apr 25 2010 Emmanuel Andry <eandry@mandriva.org> 2.94-1mdv2010.1
+ Revision: 538692
- New version 2.94
- diff p2 to fix libusb.h detection
- update files list

* Mon Mar 22 2010 Emmanuel Andry <eandry@mandriva.org> 2.92-1mdv2010.1
+ Revision: 526634
- New version 2.92
- use upstream init
- update files list

* Wed Mar 03 2010 Emmanuel Andry <eandry@mandriva.org> 2.91-1mdv2010.1
+ Revision: 513838
- New version 2.91

* Tue Jan 19 2010 Emmanuel Andry <eandry@mandriva.org> 2.90-1mdv2010.1
+ Revision: 493790
- New version 2.90
- New major 19
- rediff p1
- add init and sysconfig (fedora)
- update files list

  + Helio Chissini de Castro <helio@mandriva.com>
    - Avoid recursion in rpm build when used subrel for updates/backports.

* Wed Jul 01 2009 Wanderlei Cavassin <cavassin@mandriva.com.br> 2.39-1mdv2010.0
+ Revision: 391378
- New version 2.39
  Updated file list (some utilities have been renamed/merged)

* Thu May 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.38-2mdv2010.0
+ Revision: 378540
- rebuild

* Fri Feb 20 2009 Emmanuel Andry <eandry@mandriva.org> 2.38-1mdv2009.1
+ Revision: 343436
- New version 2.38
- update files list
- disable parallel build

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 2.37-2mdv2009.1
+ Revision: 319535
- rebuild with python 2.6

* Fri Oct 10 2008 Adam Williamson <awilliamson@mandriva.org> 2.37-1mdv2009.1
+ Revision: 291442
- python sub-package requires python (duh)
- main package requires python sub-package (gpscat needs it)
- new major 17
- new version 2.37

  + Funda Wang <fwang@mandriva.org>
    - New version 2.37
    - license should be BSD

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 23 2007 Funda Wang <fwang@mandriva.org> 2.34-2mdv2008.1
+ Revision: 101509
- fix libmajor

  + Thierry Vignaud <tv@mandriva.org>
    - do not harcode icon extension

* Thu Jul 19 2007 Adam Williamson <awilliamson@mandriva.org> 2.34-1mdv2008.0
+ Revision: 53570
- more python fixing...
- put python .so file in the right place
- split python stuff to a separate package, fix lists again
- fix file list
- clean up docs
- buildrequires python-devel
- buildrequires python
- fix tarball
- rebuild with new lesstif
- new devel policy
- drop old menu file and X-Mandriva category
- new release 2.34


* Sat Dec 09 2006 Emmanuel Andry <eandry@mandriva.org> 2.33-1mdv2007.0
+ Revision: 93973
- New version 2.33
  drop patches 2 and 3

* Sat Dec 09 2006 Emmanuel Andry <eandry@mandriva.org> 2.30-8mdv2007.1
+ Revision: 93950
- add buildrequires dbus-glib-devel
  fix xdg menu
- rebuild for missing x86_64 libdbus
- Import gpsd

* Sat Aug 05 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.30-7mdv2007.0
- rebuild against new dbus
- add xdg menu

* Sun Jun 25 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.30-6
- add BuildRequires: lesstif-devel xmlto

* Thu May 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2.30-5mdk
- Patch3: fix build on x86-64

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.30-4mdk
- Rebuild with latest dbus

* Fri Nov 04 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.30-3mdk
- Fix BuildRequires

* Fri Nov 04 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.30-2mdk
- Fix BuildRequires

* Thu Nov 03 2005 Frederic Crozat <fcrozat@mandriva.com> 2.30-1mdk
- Release 2.30 
- Remove patch0 (merged upstream)
- Patch2: fix build with dbus 0.50
- fix rpmlint errors

* Sun Aug 28 2005 Olivier Blin <oblin@mandriva.com> 2.28-2mdk
- Patch1: don't write remover script and update script name in usermap
- move hotplug script to %%{_sysconfdir}/udev/agents.d/usb/gpsd
- convert usermap to udev rule

* Wed Aug 10 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.28-1mdk
- 2.28
- bump major
- fix build with gcc 4 (P0, from debian)
- fix permission on hotplug script

* Sat Aug 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.25-3mdk
- fix path to hotplug script

* Fri Jun 17 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.25-2mdk
- don't use dbus on 10.2 and older releases

* Fri Jun 17 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.25-1mdk
- 2.25
- name changed, new spec, obsoletes gps3d

* Sun Jun 06 2004 Austin Acton <austin@mandrake.org> 1.20-3mdk
- fix menu

